org.hibernate.search.annotations

## Enum TermVector

- java.lang.Object
- - java.lang.Enum<TermVector>
  - - org.hibernate.search.annotations.TermVector

- All Implemented Interfaces:
    Serializable, Comparable<TermVector>

      public enum TermVector
      extends Enum<TermVector>

  Defines the term vector storing strategy
  Author:
    John Griffin

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `NO` Do not store term vectors.
    `WITH_OFFSETS` Store the term vector + Token offset information
    `WITH_POSITION_OFFSETS` Store the term vector + Token position and offset information
    `WITH_POSITIONS` Store the term vector + token position information
    `YES` Store term vectors.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TermVector` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TermVector[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YES

          public static final TermVector YES

      Store term vectors.

    - #### NO

          public static final TermVector NO

      Do not store term vectors.

    - #### WITH_OFFSETS

          public static final TermVector WITH_OFFSETS

      Store the term vector + Token offset information

    - #### WITH_POSITIONS

          public static final TermVector WITH_POSITIONS

      Store the term vector + token position information

    - #### WITH_POSITION_OFFSETS

          public static final TermVector WITH_POSITION_OFFSETS

      Store the term vector + Token position and offset information

  - ### Method Detail

    - #### values

          public static TermVector[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TermVector c : TermVector.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TermVector valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved